unit TEMainFrm;

{------------------------------------------------------------------------------}
(*
  Very simple template editor for "mail merging" (text search version)
  It loads and saves a template in TEMPLATE.RVF.

  See mail merging application in the same directory - MAILMERGE.

  Fields are text inside {}.
  Field cannot consist of more than one item (i.e. field must be of one font,
  including {}).

*)
{------------------------------------------------------------------------------}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, RVStyle, RVScroll, RichView, RVEdit, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    rve: TRichViewEdit;
    RVStyle1: TRVStyle;
    Button4: TButton;
    procedure Button4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  rve.LoadRVF(ExtractFilePath(Application.ExeName)+'template.rvf');
  rve.Format;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  rve.SaveRVF(ExtractFilePath(Application.ExeName)+'template.rvf', False);
end;

{ Inserting a field "code". }
procedure TForm1.Button1Click(Sender: TObject);
begin
  rve.InsertTextW('{code}', False);
  rve.SetFocus;
end;
{------------------------------------------------------------------------------}
{ Inserting a field "name" }
procedure TForm1.Button2Click(Sender: TObject);
begin
  rve.InsertTextW('{name}', False);
  rve.SetFocus;
end;

end.
